//
//  ViewController.m
//  JKMenuDrop
//
//  Created by apple on 2017/2/21.
//  Copyright © 2017年 com.shichuang. All rights reserved.
//

#import "ViewController.h"

#import "JKMenuDropView.h"

/*
 *  If you want to have a better future. Try your best to do that you should do!
 *  If you want to have a better future. Try your best to do that you should do!
 */

@interface ViewController ()<JKMenuDropViewDelegate>

/**<#condition#>*/
@property (nonatomic,strong) UILabel * tempLabel;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.title = @"JackieMenuDropDemo";
    self.view.backgroundColor = [UIColor whiteColor];
    
    [self configJKMenuDropMenuView];
    
    /**仅仅是为了显示点击的内容*/
    [self setUpOtherUI];
}


#pragma mark - 创建Menu控件视图
- (void)configJKMenuDropMenuView{
    
    
    CGFloat deviceWidth = [UIScreen mainScreen].bounds.size.width;
    
    UIView * view = [[UIView alloc] initWithFrame:CGRectMake(0, 64, deviceWidth, 44)];
    [self.view addSubview:view];
    
    CGSize size = CGSizeMake(deviceWidth, 44.0f);
    JKMenuDropView * menuView = [JKMenuDropView JKMenuDropViewWithSize:size];
    menuView.menuTitles = @[@"全部",@"附近",@"智能排序",@"筛选"];
    menuView.delegate = self;
    [view addSubview:menuView];
}


#pragma mark - 每一列的数据源

- (NSInteger)numOfColInJKMenuView{
    return 4;
}

- (NSArray *)JKMenuDataSourceAtMenuBtnIndex:(NSInteger)menuBtnIndex{
    if (menuBtnIndex == 0) {
        return @[@{@"Jackie  0" : @[@"Jackie  0 - 1",
                                      @"Jackie  0 - 2",
                                      @"Jackie  0 - 3",
                                      @"Jackie  0 - 4",]},
                 @{@"Jackie  1" : @[@"Jackie  1 - 1",
                                      @"Jackie  1 - 2",
                                      @"Jackie  1 - 3",
                                      @"Jackie  1 - 4",]},
                 @{@"Jackie  2" : @[@"Jackie  2 - 1",
                                      @"Jackie  2 - 2",
                                      @"Jackie  2 - 3",
                                      @"Jackie  2 - 4",]},
                 @{@"Jackie  3" : @[@"Jackie  3 - 1",
                                      @"Jackie  3 - 2",
                                      @"Jackie  3 - 3",
                                      @"Jackie  3 - 4",]},
                 @{@"Jackie  4" : @[@"Jackie  4 - 1",
                                      @"Jackie  4 - 2",
                                      @"Jackie  4 - 3",
                                      @"Jackie  4 - 4",]}];
    } else if (menuBtnIndex == 1) {
        return @[@"Jackie1 == 1",@"Jackie1 ==2",@"Jackie1 ==3",@"Jackie1 ==4",@"Jackie1 ==5"];
    } else if (menuBtnIndex == 2) {
        return @[@"Jackie2 ==1",@"Jackie2 ==2",@"Jackie2 ==3",@"Jackie2 ==4",@"Jackie2 ==5"];
    } else  {
        return @[@"Jackie3 ==1",@"Jackie3 ==2",@"Jackie3 ==3",@"Jackie3 ==4",@"Jackie3 ==5"];
    }
}

#pragma mark - 选中的Item
- (void)JKMenuDidSelectedItemWithMenuBtnIndex:(NSInteger)menuBtnIndex menuItem:(NSString *)menuString leftMenuItemString:(NSString *)leftItemString{
    NSString * selectedString = [NSString stringWithFormat:@"\n输出如下:\n menuBtnIndex == %zd  \n menuString == %@  \n leftItemString == %@",menuBtnIndex,menuString,leftItemString];
    self.tempLabel.text = selectedString;
}

#pragma mark - 是单个TableView还是多个
- (JKMenuItemType)JKMenuItemTypeForRowsAtMenuBtnIndex:(NSInteger)menuBtnIndex{
    
    if (menuBtnIndex == 0) {
        return JKMenuItemTypeCouple;
    } else {
        return JKMenuItemTypeSingle;
    }
}

- (void)setUpOtherUI{
    UIView * view = [[UIView alloc] initWithFrame:CGRectMake(0, 150, [UIScreen mainScreen].bounds.size.width, [UIScreen mainScreen].bounds.size.height - 200.0)];
    view.backgroundColor = [UIColor cyanColor];
    
    UILabel * label = [[UILabel alloc] initWithFrame:view.bounds];
    label.backgroundColor = [UIColor clearColor];
    label.numberOfLines = 0;
    label.textAlignment = NSTextAlignmentCenter;
    self.tempLabel = label;
    [view addSubview:label];
    [self.view addSubview:view];
}


@end
